about summary refs log tree commit diff homepage
path: root/.travis/z3.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/z3.sh')
-rwxr-xr-x.travis/z3.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.travis/z3.sh b/.travis/z3.sh
new file mode 100755
index 00000000..10d6be80
--- /dev/null
+++ b/.travis/z3.sh
@@ -0,0 +1,14 @@
+#!/bin/bash -x
+
+# Make sure we exit if there is a failure
+set -e
+
+# FIXME: Move this into its own script
+source ${KLEE_SRC}/.travis/sanitizer_flags.sh
+if [ "X${IS_SANITIZED_BUILD}" != "X0" ]; then
+  echo "Error: Requested Sanitized build but Z3 being used is not sanitized"
+  exit 1
+fi
+
+# Should we install libz3-dbg too?
+sudo apt-get -y install libz3 libz3-dev